### Class

# Gimp ColorConfig

#### Description [src]

    final class Gimp.ColorConfig : GObject.Object
      implements Gimp.ConfigInterface {
      /* No available fields */
    }

Color management settings.

#### Ancestors

- GObject

#### Implements

- GimpConfigInterface

#### Instance methods

###### gimp_color_config_get_cmyk_color_profile

No description available.

since: 2.10

###### gimp_color_config_get_display_bpc

No description available.

since: 2.10

###### gimp_color_config_get_display_color_profile

No description available.

since: 2.10

###### gimp_color_config_get_display_intent

No description available.

since: 2.10

###### gimp_color_config_get_display_optimize

No description available.

since: 2.10

###### gimp_color_config_get_display_profile_from_gdk

No description available.

since: 2.10

###### gimp_color_config_get_gray_color_profile

No description available.

since: 2.10

###### gimp_color_config_get_mode

No description available.

since: 2.10

###### gimp_color_config_get_out_of_gamut_color

No description available.

since: 3.0

###### gimp_color_config_get_rgb_color_profile

No description available.

since: 2.10

###### gimp_color_config_get_simulation_bpc

No description available.

since: 2.10

###### gimp_color_config_get_simulation_color_profile

No description available.

since: 2.10

###### gimp_color_config_get_simulation_gamut_check

No description available.

since: 2.10

###### gimp_color_config_get_simulation_intent

No description available.

since: 2.10

###### gimp_color_config_get_simulation_optimize

No description available.

since: 2.10

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gimp.ColorConfig:cmyk-profile

No description available.

###### Gimp.ColorConfig:display-optimize

No description available.

###### Gimp.ColorConfig:display-profile

No description available.

###### Gimp.ColorConfig:display-profile-from-gdk

No description available.

###### Gimp.ColorConfig:display-rendering-intent

No description available.

###### Gimp.ColorConfig:display-use-black-point-compensation

No description available.

###### Gimp.ColorConfig:gray-profile

No description available.

###### Gimp.ColorConfig:mode

No description available.

###### Gimp.ColorConfig:out-of-gamut-color

No description available.

###### Gimp.ColorConfig:rgb-profile

No description available.

###### Gimp.ColorConfig:show-hsv

No description available.

###### Gimp.ColorConfig:show-rgb-u8

No description available.

###### Gimp.ColorConfig:simulation-gamut-check

No description available.

###### Gimp.ColorConfig:simulation-optimize

No description available.

###### Gimp.ColorConfig:simulation-profile

No description available.

###### Gimp.ColorConfig:simulation-rendering-intent

No description available.

###### Gimp.ColorConfig:simulation-use-black-point-compensation

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpColorConfigClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.